Page MenuHomePhabricator

GlobalUserPage footer link should not expose readers to protocol-relative internals
Closed, ResolvedPublic

Description

On https://test.wikidata.org/wiki/User:Legoktm the text of the link starts with "//", but it should be a complete url with protocol (or perhaps not be a url at all)

Event Timeline

He7d3r created this task.Feb 5 2015, 9:22 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a project: GlobalUserPage.
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2015, 9:22 PM
Krenair added a subscriber: Krenair.Feb 5 2015, 9:38 PM
Legoktm added a subscriber: Legoktm.

For simplicity we probably want the actual link to remain protocol relative, but can make what is displayed to use PROTO_CURRENT.

gerritbot added a subscriber: gerritbot.

Change 189042 had a related patch set uploaded (by Legoktm):
Always display a url with a protocol in the footer message

https://gerrit.wikimedia.org/r/189042

Patch-For-Review

Aklapper triaged this task as Low priority.Feb 16 2015, 12:07 PM
MZMcBride renamed this task from Text of the footer link should not be a protocol relative URL to Text of the GlobalUserPage footer link should not be a protocol relative URL.Mar 16 2016, 10:25 PM

At https://www.wikidata.org/wiki/User:SSTflyer we currently see:

What you see on this page was copied from //meta.wikimedia.org/wiki/User:SSTflyer.

Alternatives:

What you see on this page was copied from meta.wikimedia.org.

What you see on this page was copied from https://meta.wikimedia.org/wiki/User:SSTflyer.

What you see on this page was copied from Meta-Wiki.

What you see on this page was copied from m:User:SSTflyer.

I think any of these alternatives would be better than the current link text. My preference is probably "meta.wikimedia.org" or "Meta-Wiki".

Krinkle renamed this task from Text of the GlobalUserPage footer link should not be a protocol relative URL to GlobalUserPage footer link should not expose readers to protocol-relative internals .Mar 19 2016, 12:39 AM
Krinkle raised the priority of this task from Low to Normal.
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.

@Ricordisamoa, @Nemo_bis, @Krinkle, @Quiddity, @Legoktm, @Jdforrester-WMF: do you have any preference between the options presented in T88739#2127785?

Or do you think we should change the whole banner to be an icon, as suggested at T75634#2128486?

My preference is probably "meta.wikimedia.org" or "Meta-Wiki".

Those would make the link appear like it would if it took to the home page, not the user page, wouldn't they?

What you see on this page was copied from https://meta.wikimedia.org/wiki/User:SSTflyer.

This is the easiest and clearer. We need to convey both the userpage name and the source wiki/domain, for users who may not know about Meta-Wiki.

What you see on this page was copied from https://meta.wikimedia.org/wiki/User:SSTflyer.

This is the easiest and clearer. We need to convey both the userpage name and the source wiki/domain, for users who may not know about Meta-Wiki.

+1.

Please avoid any use of the word "copied". That is also confusing and incorrect in the current message. A copy implies two things, both of which are untrue:

  • A manual or semi-automated copy action was executed by someone.
  • The copy will not stay in sync with the original.

We don't refer to Commons file pages as "copies" on each wiki, either.

Nemo_bis added a comment.EditedMar 21 2016, 10:07 PM

A copy implies two things, both of which are untrue:

  • A manual or semi-automated copy action was executed by someone.
  • The copy will not stay in sync with the original.

So far we don't have any reason to believe that users interpret the term "copy" this way in this context; better file alternative suggestions, along with e.g. real-life examples of why they're needed, in a separate report, and continue the discussion there. Let's focus on changing one thing at a time.

Please avoid any use of the word "copied".

How about "is mirrored" instead of "was copied"? e.g.
What you see on this page is mirrored from https://meta.wikimedia.org/wiki/User:SSTflyer.
(Though I don't know how translatable that will be...?)
If not, do you have a recommendation?

note: Existing translations are at https://translatewiki.net/w/i.php?title=Special%3ATranslations&message=Globaluserpage-footer&namespace=8 in case that helps


We don't refer to Commons file pages as "copies" on each wiki, either.

True. We currently write This is a file from the Wikimedia Commons. in (e.g.) Enwiki and Metawiki https://en.wikipedia.org/wiki/MediaWiki:Sharedupload-desc-here and https://meta.wikimedia.org/wiki/MediaWiki:Sharedupload-desc-here
This is a slightly customized local variant of the default string This file is from $1 and may be used by other projects. translatewiki
I don't think we can adapt this message for GUP; it is useful to have the clarification of "mirrored" or similar for GUP.

Ah, or we could just use the string that Nemo proposed in T75634#1003952
The current content of this page comes from http://meta.wikimedia.org/wiki/User:Example

Ah, or we could just use the string that Nemo proposed in T75634#1003952
The current content of this page comes from http://meta.wikimedia.org/wiki/User:Example

This works for me. Using the canonical URL, it would be:

The current content of this page comes from https://meta.wikimedia.org/wiki/User:Example.

Would you continue to link to https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Extension:GlobalUserPage?

Krinkle removed a subscriber: Krinkle.Apr 3 2016, 11:12 PM
Jdforrester-WMF closed this task as Resolved.Dec 16 2016, 6:46 PM
Jdforrester-WMF assigned this task to Legoktm.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 16 2016, 6:46 PM

Change 189042 merged by jenkins-bot:
Use canonical URL as source URL

https://gerrit.wikimedia.org/r/189042